do $$ 
begin
IF NOT EXISTS(SELECT * FROM information_schema.columns t where t.table_name = 't_vmp_event' and t.column_name = 'currentstatus')
THEN
    
    ALTER TABLE VMP.T_VMP_EVENT ADD "currentstatus" integer NULL;
    UPDATE VMP.T_VMP_EVENT SET "currentstatus" = 0;
    ALTER TABLE VMP.T_VMP_EVENT ALTER COLUMN "currentstatus" SET NOT NULL;
END IF;
end; $$;